=== src/CMakeLists.txt ===

add_subdirectory("sax")
add_subdirectory("dom")
add_subdirectory("xpath")
add_subdirectory("wxml")
add_subdirectory("cml")

set(srcs "${srcs}" PARENT_SCOPE)
