=== doc/Tutorial/requirements.txt ===
Sphinx==3.3.1
sphinx-autobuild==2020.9.1
sphinx-inline-tabs
sphinxcontrib-mermaid==0.5.0
sphinx-notfound-page==0.6

sphinx-rtd-theme==0.5.0

# For spelling
sphinxcontrib-spelling==7.0.1
pyenchant==3.1.1

# In March 2023, readthedocs builds were failing due to a jinja2-related error.
# This constraint seems to fix it (for more information see, e.g.,
# https://github.com/readthedocs/readthedocs.org/issues/9037):
jinja2<3.1.0

# In March 2023, with the above combination of requirements, the HTML produced
# by readthedocs was incorrect: many <div> elements (those of hints, notes,
# etc.) were being closed by </aside> instead of </div>. This resulted in
# browsers displaying those elements incorrectly (extending them to the end of
# the page).
# The docutils package introduced <aside> for topics and admonitions in version
# 0.18. Requiring a previous version of docutils seems to fix the issue.
# docutils<0.18
# With docutils 0.17, some ul li elements are missing their symbol (bullet).
# Further reduction of the docutils version constraint fixes this.
docutils==0.16
