=== src/cml/CMakeLists.txt ===
set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

list(
  APPEND srcs

  "${dir}/m_wcml.f90"
  "${dir}/m_wstml.f90"
  "${dir}/xmlf90_cml.f90"
)

set(srcs "${srcs}" PARENT_SCOPE)
