=== src/dom/CMakeLists.txt ===
set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

list(
  APPEND srcs
  "${dir}/m_dom_attribute.f90"
  "${dir}/m_dom_debug.f90"
  "${dir}/m_dom_document.f90"
  "${dir}/m_dom_element.f90"
  "${dir}/m_dom_error.f90"
  "${dir}/m_dom_namednodemap.f90"
  "${dir}/m_dom_node.f90"
  "${dir}/m_dom_nodelist.f90"
  "${dir}/m_dom_parse.f90"
  "${dir}/m_dom_strings.f90"
  "${dir}/m_dom_types.f90"
  "${dir}/m_dom_utils.f90"
  "${dir}/xmlf90_dom.f90"
)

set(srcs "${srcs}" PARENT_SCOPE)
