=== src/sax/CMakeLists.txt ===
set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

list(
  APPEND srcs
  "${dir}/m_sax_buffer.f90"
  "${dir}/m_sax_charset.f90"
  "${dir}/m_sax_converters.f90"
  "${dir}/m_sax_debug.f90"
  "${dir}/m_sax_dictionary.f90"
  "${dir}/m_sax_elstack.f90"
  "${dir}/m_sax_entities.f90"
  "${dir}/m_sax_fsm.f90"
  "${dir}/m_sax_reader.f90"
  "${dir}/m_xml_error.f90"
  "${dir}/m_xml_parser.f90"
  "${dir}/xmlf90_sax.f90"
)

set(srcs "${srcs}" PARENT_SCOPE)
