=== src/wxml/CMakeLists.txt ===
set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

list(
  APPEND srcs
  "${dir}/m_wxml_array_str.f90"
  "${dir}/m_wxml_buffer.f90"
  "${dir}/m_wxml_core.f90"
  "${dir}/m_wxml_dictionary.f90"
  "${dir}/m_wxml_elstack.f90"
  "${dir}/m_wxml_error.f90"
  "${dir}/m_wxml_escape.f90"
  "${dir}/m_wxml_overloads.f90"
  "${dir}/m_wxml_text.F90"
  "${dir}/xmlf90_wxml.f90"

)

set(srcs "${srcs}" PARENT_SCOPE)
