=== src/xpath/CMakeLists.txt ===
set(dir "${CMAKE_CURRENT_SOURCE_DIR}")

list(
  APPEND srcs

  "${dir}/m_xpath_api.f90"
  "${dir}/match_tester.f90"
  "${dir}/xmlf90_xpath.f90"
)

set(srcs "${srcs}" PARENT_SCOPE)
